namespace NetinaShop.AdminPanel.PWA.Services.RestServices;

public interface IProductRestApi
{

    [Get("")]
    Task<List<ProductSDto>> ReadAll();
    [Get("")]
    Task<List<ProductSDto>> ReadAll([Query] int page);
    [Get("")]
    Task<List<ProductSDto>> ReadAll([Query] int page, [Query] string productName);
}